Patch one custom-object record
curl --request PATCH \
--url https://api.reevo.ai/api/v2/public/{custom_object_api_name}/{record_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {
"display_name": "Renamed record"
}
}
'import requests
url = "https://api.reevo.ai/api/v2/public/{custom_object_api_name}/{record_id}"
payload = { "attributes": { "display_name": "Renamed record" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({attributes: {display_name: 'Renamed record'}})
};
fetch('https://api.reevo.ai/api/v2/public/{custom_object_api_name}/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"attributes": {
"id": {
"value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value_type": "uuid"
},
"created_at": {
"value": "2023-11-07T05:31:56Z",
"value_type": "timestamp"
},
"display_name": {
"value": "<string>",
"value_type": "string"
},
"updated_at": {
"value": "2023-11-07T05:31:56Z",
"value_type": "timestamp"
}
}
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}custom_object
Patch one custom-object record
PATCH
/
{custom_object_api_name}
/
{record_id}
Patch one custom-object record
Authorizations
BearerAuthApiKeyAuth
Reevo API key passed as Authorization: Bearer <api-key>.
Path Parameters
Full custom-object api_name, including the cus_obj__ prefix (e.g. cus_obj__pet_crud_ab12cd). Discover available custom objects via GET /_organization_schema_summary.
Example:
"cus_obj__pet_crud_ab12cd"
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
{"data": <record>} — GET / POST / PATCH.
Show child attributes
Show child attributes
Was this page helpful?
⌘I